Method: advertisers.lineItems.youtubeAssetTypes.youtubeAssetAssociations.create

Creates a new association between the identified resource and a YouTube asset.

Returns the newly-created association.

HTTP request

POST https://displayvideo.googleapis.com/v4/advertisers/{advertiserId}/lineItems/{linkedEntity.lineItemId}/youtubeAssetTypes/{youtubeAssetAssociation.youtubeAssetType}/youtubeAssetAssociations

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
advertiserId

string (int64 format)

Required. The ID of the advertiser that the linked entity belongs to.

The entity to associate with the YouTube asset. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response:
linkedEntity.lineItemId

string (int64 format)

The ID of a line item.

End of mutually exclusive fields.
youtubeAssetAssociation.youtubeAssetType

enum (YoutubeAssetType)

Required. The type of YouTube asset associated with the resource.

Query parameters

Parameters
The entity to associate with the YouTube asset. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response:
linkedEntity.adGroupId

string (int64 format)

The ID of an ad group.

End of mutually exclusive fields.

Request body

The request body contains an instance of YoutubeAssetAssociation.

Response body

If successful, the response body contains a newly created instance of YoutubeAssetAssociation.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/display-video

For more information, see the OAuth 2.0 Overview.